## easyloggingpp 9.96.4+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.7)

project(Easyloggingpp CXX)

macro(require_cpp11)
        if (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 3.0)
                # CMake 3.1 has built-in CXX standard checks.
                message("-- Setting C++11")
                set(CMAKE_CXX_STANDARD 11)
                set(CMAKE_CXX_STANDARD_REQUIRED on)
        else()
                if (CMAKE_CXX_COMPILER_ID MATCHES "GCC")
                    message ("-- GNU CXX (-std=c++11)")
                    list(APPEND CMAKE_CXX_FLAGS "-std=c++11")
                elseif (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
                    message ("-- CLang CXX (-std=c++11)")
                    list(APPEND CMAKE_CXX_FLAGS "-std=c++11")
                else()
                    message ("-- Easylogging++ requires C++11. Your compiler does not support it.")
                endif()
        endif()
endmacro()

option(test "Build all tests" OFF)
option(build_static_lib "Build easyloggingpp as a static library" OFF)
option(lib_utc_datetime "Build library with UTC date/time logging" OFF)

set(ELPP_MAJOR_VERSION "9")
set(ELPP_MINOR_VERSION "96")
set(ELPP_PATCH_VERSION "4")
set(ELPP_VERSION_STRING "${ELPP_MAJOR_VERSION}.${ELPP_MINOR_VERSION}.${ELPP_PATCH_VERSION}")

set(ELPP_INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")
set(ELPP_PKGCONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/pkgconfig" CACHE PATH "Installation directory for pkgconfig (.pc) files")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

install(FILES
    src/easylogging++.h
    src/easylogging++.cc
    DESTINATION "${ELPP_INCLUDE_INSTALL_DIR}"
    COMPONENT dev)

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/cmake/easyloggingpp.pc.cmakein
    ${CMAKE_CURRENT_BINARY_DIR}/easyloggingpp.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/easyloggingpp.pc DESTINATION "${ELPP_PKGCONFIG_INSTALL_DIR}")

if (build_static_lib)
        if (lib_utc_datetime)
                add_definitions(-DELPP_UTC_DATETIME)
        endif()

        require_cpp11()
        add_library(easyloggingpp STATIC src/easylogging++.cc)

        install(TARGETS
            easyloggingpp
            ARCHIVE DESTINATION lib)
endif()

export(PACKAGE ${PROJECT_NAME})


########################################## Unit Testing ###################################
if (test)
    # We need C++11
    require_cpp11()
    set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")

    find_package (gtest REQUIRED)

    include_directories(${gtest_SOURCE_DIR}/include ${gtest_SOURCE_DIR})

    enable_testing()

    add_executable(easyloggingpp-unit-tests
        src/easylogging++.cc
        test/main.cc
    )

    target_compile_definitions(easyloggingpp-unit-tests PUBLIC
        ELPP_FEATURE_ALL
        ELPP_LOGGING_FLAGS_FROM_ARG
        ELPP_NO_DEFAULT_LOG_FILE
        ELPP_FRESH_LOG_FILE
    )

    # Standard linking to gtest stuff.
    target_link_libraries(easyloggingpp-unit-tests gtest gtest_main)

    add_test(NAME easyloggingppUnitTests COMMAND easyloggingpp-unit-tests -v)
endif()

=== debian/changelog ===
easyloggingpp (9.96.4+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 26 Aug 2018 18:13:10 +0200

easyloggingpp (9.96.4+dfsg-2) unstable; urgency=medium

  * Add missing attributions to debian/copyright. Closes: #902693.
  * This package only ships source code, make it “Architecture: all” and
    “Multi-Arch: foreign”.
  * Disable verbose debhelper by default.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Jul 2018 09:28:13 +0200

easyloggingpp (9.96.4+dfsg-1) unstable; urgency=medium

  * Initial release. Closes: #895156.

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Jun 2018 07:58:32 +0200

=== debian/control ===
Source: easyloggingpp
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: cmake,
               debhelper (>= 11~),
               libgtest-dev
Standards-Version: 4.1.4
Section: libs
Homepage: https://muflihun.github.io/easyloggingpp/
Vcs-Browser: https://salsa.debian.org/debian/easyloggingpp
Vcs-Git: https://salsa.debian.org/debian/easyloggingpp.git

Package: libeasyloggingpp-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: single-header logging library for C++ applications
 Easylogging++ is a light-weight, high performance logging library for
 software written in C++11 and higher. It is highly configurable and
 extensible, supports both severity- and verbosity-based logging,
 provides crash handling, STL logging, integration with syslog, log
 rotation, performance-specific logging for profiling, pointcut-style
 extensions of third-party code...

## easyloggingpp 9.96.5+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 set(ELPP_MAJOR_VERSION "9")
 set(ELPP_MINOR_VERSION "96")
-set(ELPP_PATCH_VERSION "4")
+set(ELPP_PATCH_VERSION "5")
 set(ELPP_VERSION_STRING "${ELPP_MAJOR_VERSION}.${ELPP_MINOR_VERSION}.${ELPP_PATCH_VERSION}")
 
 set(ELPP_INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")

=== debian/changelog ===
easyloggingpp (9.96.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 12 Sep 2018 09:00:23 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -L$(shell pwd)/gtest-build

%:
	dh $@

override_dh_auto_configure:
# We need to build googletest first
	mkdir gtest-build
	cp -a /usr/src/googletest/googletest gtest-source
	dh_auto_configure -Dgtest-source -Bgtest-build
	dh_auto_build -Dgtest-source -Bgtest-build
	dh_auto_configure -- -Dtest=on -DGTEST_LIBRARY=$(top_dir)/gtest-build/libgtest.a -DGTEST_MAIN_LIBRARY=$(top_dir)/gtest-build/libgtest_main.a

override_dh_installexamples:
	find samples -name .gitignore -delete
	dh_installexamples

override_dh_compress:
	dh_compress -Xexamples

## easyloggingpp 9.96.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 set(ELPP_MAJOR_VERSION "9")
 set(ELPP_MINOR_VERSION "96")
-set(ELPP_PATCH_VERSION "5")
+set(ELPP_PATCH_VERSION "7")
 set(ELPP_VERSION_STRING "${ELPP_MAJOR_VERSION}.${ELPP_MINOR_VERSION}.${ELPP_PATCH_VERSION}")
 
 set(ELPP_INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")
@@ -53,6 +53,7 @@
 
         require_cpp11()
         add_library(easyloggingpp STATIC src/easylogging++.cc)
+        set_property(TARGET easyloggingpp PROPERTY POSITION_INDEPENDENT_CODE ON)
 
         install(TARGETS
             easyloggingpp
@@ -74,6 +75,10 @@
 
     enable_testing()
 
+    if (EMSCRIPTEN)
+        set(CMAKE_EXE_LINKER_FLAGS "-O2 -s TOTAL_MEMORY=134217728")
+    endif()
+
     add_executable(easyloggingpp-unit-tests
         src/easylogging++.cc
         test/main.cc

=== debian/changelog ===
easyloggingpp (9.96.7+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 26 Nov 2018 18:00:03 +0100

easyloggingpp (9.96.5+dfsg-2) unstable; urgency=medium

  * Force the use of cmake to build googletest. Closes: #910305. Thanks to
    Steve Robbins for the fix!

 -- Stephen Kitt <skitt@debian.org>  Mon, 08 Oct 2018 13:27:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Build-Depends: cmake,
                debhelper (>= 11~),
                libgtest-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://muflihun.github.io/easyloggingpp/
 Vcs-Browser: https://salsa.debian.org/debian/easyloggingpp
 Vcs-Git: https://salsa.debian.org/debian/easyloggingpp.git
+Rules-Requires-Root: no
 
 Package: libeasyloggingpp-dev
 Section: libdevel

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%easyloggingpp-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s%\+dfsg%%" \
   https://github.com/muflihun/easyloggingpp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## easyloggingpp 9.97.0%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,12 @@
     ${CMAKE_CURRENT_BINARY_DIR}/easyloggingpp.pc @ONLY)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/easyloggingpp.pc DESTINATION "${ELPP_PKGCONFIG_INSTALL_DIR}")
+
+include(CheckIncludeFileCXX)
+check_include_file_cxx("execinfo.h" HAVE_EXECINFO)
+if (HAVE_EXECINFO)
+	add_definitions(-DHAVE_EXECINFO)
+endif()
 
 if (build_static_lib)
         if (lib_utc_datetime)

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                libgtest-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Section: libs
-Homepage: https://muflihun.github.io/easyloggingpp/
+Homepage: https://ghdl.amrayn.com/easyloggingpp/
 Vcs-Browser: https://salsa.debian.org/debian/easyloggingpp
 Vcs-Git: https://salsa.debian.org/debian/easyloggingpp.git
 Rules-Requires-Root: no

## easyloggingpp 9.97.0+dfsg

=== samples/OpenGL/Cube/Makefile ===
CC = g++
CFLAGS = -Wall -std=c++11
PROG = cube

SRCS = main.cpp imageloader.cpp

ifeq ($(shell uname),Darwin)
	LIBS = -framework OpenGL -framework GLUT
else
	LIBS = -lglut -lGLU -lGL
endif

all: $(PROG)

$(PROG):	$(SRCS)
	$(CC) $(CFLAGS) -o bin/$(PROG) $(SRCS) $(LIBS)

clean:
	rm -f $(PROG)

=== debian/changelog ===
easyloggingpp (9.97.0+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Stephen Kitt ]
  * Update upstream URIs; thanks to Davide Prina for the information.
    Closes: #977789.
  * New upstream release.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 27 Dec 2020 20:49:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # We need to build googletest first
 	mkdir gtest-build
 	cp -a /usr/src/googletest/googletest gtest-source
-	dh_auto_configure -Dgtest-source -Bgtest-build
+	dh_auto_configure -Dgtest-source -Bgtest-build -Scmake
 	dh_auto_build -Dgtest-source -Bgtest-build
 	dh_auto_configure -- -Dtest=on -DGTEST_LIBRARY=$(top_dir)/gtest-build/libgtest.a -DGTEST_MAIN_LIBRARY=$(top_dir)/gtest-build/libgtest_main.a

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%easyloggingpp-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s%\+dfsg%%" \
   https://github.com/amrayn/easyloggingpp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## easyloggingpp 9.97.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libgtest-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Section: libs
-Homepage: https://ghdl.amrayn.com/easyloggingpp/
+Homepage: https://github.com/abumq/easyloggingpp
 Vcs-Browser: https://salsa.debian.org/debian/easyloggingpp
 Vcs-Git: https://salsa.debian.org/debian/easyloggingpp.git
 Rules-Requires-Root: no

## easyloggingpp 9.97.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,21 +2,21 @@
 
 project(Easyloggingpp CXX)
 
-macro(require_cpp11)
+macro(require_cpp14)
         if (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 3.0)
                 # CMake 3.1 has built-in CXX standard checks.
-                message("-- Setting C++11")
-                set(CMAKE_CXX_STANDARD 11)
+                message("-- Setting C++14")
+                set(CMAKE_CXX_STANDARD 14)
                 set(CMAKE_CXX_STANDARD_REQUIRED on)
         else()
                 if (CMAKE_CXX_COMPILER_ID MATCHES "GCC")
-                    message ("-- GNU CXX (-std=c++11)")
-                    list(APPEND CMAKE_CXX_FLAGS "-std=c++11")
+                    message ("-- GNU CXX (-std=c++14)")
+                    list(APPEND CMAKE_CXX_FLAGS "-std=c++14")
                 elseif (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-                    message ("-- CLang CXX (-std=c++11)")
-                    list(APPEND CMAKE_CXX_FLAGS "-std=c++11")
+                    message ("-- CLang CXX (-std=c++14)")
+                    list(APPEND CMAKE_CXX_FLAGS "-std=c++14")
                 else()
-                    message ("-- Easylogging++ requires C++11. Your compiler does not support it.")
+                    message ("-- Easylogging++ requires C++14. Your compiler does not support it.")
                 endif()
         endif()
 endmacro()
@@ -57,7 +57,7 @@
                 add_definitions(-DELPP_UTC_DATETIME)
         endif()
 
-        require_cpp11()
+        require_cpp14()
         add_library(easyloggingpp STATIC src/easylogging++.cc)
         set_property(TARGET easyloggingpp PROPERTY POSITION_INDEPENDENT_CODE ON)
 
@@ -71,13 +71,12 @@
 
 ########################################## Unit Testing ###################################
 if (test)
-    # We need C++11
-    require_cpp11()
+    # We need C++14 (Google Test requirement)
+    require_cpp14()
     set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
 
-    find_package (gtest REQUIRED)
-
-    include_directories(${gtest_SOURCE_DIR}/include ${gtest_SOURCE_DIR})
+    find_package (GTest REQUIRED)
+    include_directories (${GTEST_INCLUDE_DIRS})
 
     enable_testing()
 
@@ -98,7 +97,7 @@
     )
 
     # Standard linking to gtest stuff.
-    target_link_libraries(easyloggingpp-unit-tests gtest gtest_main)
+    target_link_libraries(easyloggingpp-unit-tests ${GTEST_BOTH_LIBRARIES})
 
     add_test(NAME easyloggingppUnitTests COMMAND easyloggingpp-unit-tests -v)
 endif()

=== debian/changelog ===
easyloggingpp (9.97.1+dfsg-2) unstable; urgency=medium

  * Explicitly set the policy version to allow building with CMake 4.
    Closes: #1112862.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 01 Sep 2025 13:17:47 +0200

easyloggingpp (9.97.1+dfsg-1) unstable; urgency=medium

  * New upstream release, obsoleting c++14.patch and testing directly with
    the installed system GTest.

 -- Stephen Kitt <skitt@debian.org>  Sun, 23 Jul 2023 15:54:12 +0200

easyloggingpp (9.97.0+dfsg-2) unstable; urgency=medium

  * Require C++14, as specified by googletest 1.13.0. Thanks to Adrian
    Bunk for the hint! Closes: #1041022.
  * Update homepage.
  * Standards-Version 4.6.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Jul 2023 18:47:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libgtest-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/abumq/easyloggingpp
 Vcs-Browser: https://salsa.debian.org/debian/easyloggingpp

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dtest=on -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_installexamples:
	find samples -name .gitignore -delete
	dh_installexamples

override_dh_compress:
	dh_compress -Xexamples

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%easyloggingpp-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s%\+dfsg%%" \
   https://github.com/abumq/easyloggingpp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
